Package org.kapott.hbci.GV_Result

## Class GVRInfoList.Info

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRInfoList.Info

Enclosing class:
  GVRInfoList

    public static final class GVRInfoList.Info
    extends java.lang.Object

Daten über eine einzelne verfügbare Information

### Field Summary

Fields
`java.lang.String` `code` Identifikationscode, mit der diese Information referenziert werden kann
`java.lang.String[]` `comment` Kommentare zu dieser Information.
`java.util.Date` `date` Version dieser Information (optional)
`java.lang.String` `description` Beschreibung des Inhalts dieser Information
`java.lang.String` `format`
`java.lang.String` `type` Art der Information.

### Constructor Summary

Constructors
`Info()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addComment​(java.lang.String st)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### code

    public java.lang.String code

Identifikationscode, mit der diese Information referenziert werden kann

#### description

    public java.lang.String description

Beschreibung des Inhalts dieser Information

#### type

    public java.lang.String type

Art der Information.

- F für Freitextmeldung (siehe `GVRInfoOrder`)
- S es handelt sich um ein Schriftdokument, welches bestellt werden kann
- T für Themenüberschrift

#### format

    public java.lang.String format

#### date

    public java.util.Date date

Version dieser Information (optional)

#### comment

    public java.lang.String[] comment

Kommentare zu dieser Information. Dieses Array ist niemals `null`, kann aber die Länge `0` haben.

### Constructor Detail

#### Info

    public Info()

### Method Detail

#### addComment

    public void addComment​(java.lang.String st)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`